
VIEW
valueUpdated - when the value of the input element is changed

inputValueChanged - input element changed
modelValueChanged - model value changed

template
templateLabel
templateInput

onRender


```js
{
  templateInput() {
    return `
      <input type="range"/>
    `
  }

  // Update target on input change
  updateTargetStyle(value) {
    const property = this.model.get('property');
    const target = this.getTarget();
    const style = target.getStyle();
    style[property] = value;
    target.setStyle(style);
  }
}
```
There is a builtIn


We have created our new range input but can also overwrite default properties

addPropertyFactory((propName, currentObj) => {

})
